Subject: Misprinted DOB in GCMHelp (Re)

From: [email-masked]
Date: Tue, 5 Jul 94 11:49:42 CDT

> Hi friend:
> 
> 
> 	I am sorry to use this net for CSPA problem. I really don't know if there is right net, which is alive, I should use.
> 
> 	Anyway, I recieved my GC finally, but with misprinted date of birth. they printed 09/**/**/ instead of 04/**/****. Since I am pretty sure I provided right DOB to them. I sent two letters to INS CARD FACILITY, and INS EASTERN SERVICE CENTER respectively
 two months ago. However up to now I have not recieved anything from either of them.
> 
> 	Anyone has any experience on it? any suggestion will be highly appreciated.
> 
> 	Thank you very much in advance.

I was told by INS officer that if there were any mistake appearing on the
GC, one could go to the LOCAL INS to reprocess it.  That means you have to
take photos and do the signature and finger print (for the card) again, and
wait for the new GC for another several months.  I assume that it is free
of charge, except for the photos. It sounds disappointing, but I think
perhaps there is no better way.
Anyway, this should be a minor problem to be corrected.  So take it easy.